org.apache.poi.xslf.usermodel

## Class XSLFTableStyles

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xslf.usermodel.XSLFTableStyles

- All Implemented Interfaces:
    java.lang.Iterable<XSLFTableStyle>

      @Beta
      public class XSLFTableStyles
      extends POIXMLDocumentPart
      implements java.lang.Iterable<XSLFTableStyle>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLFTableStyles()`
    `XSLFTableStyles(PackagePart part)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<XSLFTableStyle>` | `getStyles()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTTableStyleList` | `getXmlObject()`
    `java.util.Iterator<XSLFTableStyle>` | `iterator()`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, commit, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### XSLFTableStyles

          public XSLFTableStyles()

    - #### XSLFTableStyles

          public XSLFTableStyles(PackagePart part)
                          throws java.io.IOException,
                                 org.apache.xmlbeans.XmlException

      Throws:
        `java.io.IOException`
        `org.apache.xmlbeans.XmlException`
      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### getXmlObject

          public org.openxmlformats.schemas.drawingml.x2006.main.CTTableStyleList getXmlObject()

    - #### iterator

          public java.util.Iterator<XSLFTableStyle> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<XSLFTableStyle>`

    - #### getStyles

          public java.util.List<XSLFTableStyle> getStyles()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.